Visit our newest sister site!
Hundreds of free aircraft flight manuals
Civilian • Historical • Military • Declassified • FREE!


TUCoPS :: Web :: CMS / Portals :: bx6067.htm

HoloCMS vulns



Vulnerabilities in HoloCMS
Vulnerabilities in HoloCMS



Hello Bugtraq!

I want to warn you about security vulnerabilities in HoloCMS.

-----------------------------
Advisory: Vulnerabilities in HoloCMS
-----------------------------
URL: http://websecurity.com.ua/4068/ 
-----------------------------
Timeline:
17.03.2010 - found vulnerabilities.
25.03.2010 - disclosed at my site.
27.03.2010 - informed developers.
-----------------------------
Details:

These are Insufficient Anti-automation and Denial of Service
vulnerabilities.

The vulnerabilities exist in captcha script CaptchaSecurityImages.php, which
is using in this system. I already reported about vulnerabilities in
CaptchaSecurityImages (http://websecurity.com.ua/4043/). 

Insufficient Anti-automation:

http://site/captcha/CaptchaSecurityImages.php?width=150&height=100&characters=2 

Captcha bypass is possible as via half-automated or automated (with using of
OCR) methods, which were mentioned before (http://websecurity.com.ua/4043/), 
as with using of session reusing with constant captcha bypass method
(http://websecurity.com.ua/1551/), which was described in project Month of 
Bugs in Captchas. Last variant of attack is possible due to incorrect
implementation of protection in the system against this captcha bypass
method (only in 1.x versions).

DoS:

http://site/captcha/CaptchaSecurityImages.php?width=1000&height=9000 

With setting of large values of width and height it's possible to create
large load at the server.

Vulnerable are HoloCMS 1.3.1, 3.1 and previous versions.

Best wishes & regards,
MustLive
Administrator of Websecurity web site
http://websecurity.com.ua 



TUCoPS is optimized to look best in Firefox® on a widescreen monitor (1440x900 or better).
Site design & layout copyright © 1986-2014 AOH